/* CSS RESET */
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    /* margin: auto; */
    justify-content: center;
    text-align: center;
    /* stops text selection */
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE/Edge */
    user-select: none;
}

/* stop browser outline from displaying on button clicks */
*:active {
    outline: 0;
}

/* GENERAL STYLES */
html, body {
    /* stop page from scrolling */
    height: 100%;
    /* width:100%; */
    overflow: auto;
    /* font-family: "Arial", sans-serif; */
    font-family: "Times New Roman", sans-serif;
    margin:auto;
    /* justify-content: center; */
    /* text-align: center; */
}

html h2, body h2, html h3, body h3, html h4, body h4, html h5, body h5{
    font-family: "Arial Black", sans-serif;
}

div, main, section, img {
    position: absolute;
}

main {
    display: none;
}

#loading, #begin, main {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#loading {
    width: 200px;
    height: auto;
}

#btnContainer {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

#begin {
    display: inline-block;
    background-color: #2E3192;
    font-size:30px;
    color: #FFF;
    border-top: 30px solid transparent;
    border-left: 50px solid #FFF;
    border-right: 50px solid #FFF;
    border-bottom: 30px solid transparent;
    /* border: solid 1px transparent; */
    border-radius: 15px;
    padding: 10px 20px;
    transition: all 1.5s;
}

#begin:hover {
    cursor: pointer;
    background-color: #00A14B;
    color: #E8C800;
    border: solid 1px #000;
}

main {
    width: 960px;
    height: 600px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    /* margin:0 auto; */
}

section {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

#next, #prev, #playPause, #stopPause {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    bottom: 20px;
}

#playPause, #stopPause {
    color: #FFF;
    border: solid 1px #FFF;
    border-radius: 15px;
    background: rgba(255, 255, 255, 0.2);
    font-size: 20px;
    font-weight: bold;
    transition: background 0.5s;
}

#next {
    right: 40px;
    padding-left: 2px;
}

#prev {
    left: 40px;
}

#next:hover, #prev:hover{
    cursor: pointer;
} 

#playPause:hover, #stopPause:hover {
    cursor: pointer;
    color: #000;
    background: rgba(255, 255, 255, 1);
}
#stopPause{
    left: 45%;
    transform: translateX(-50%);
}
#playPause {
    left: 55%;
    transform: translateX(-50%);
}

.play {
    width: 12px;
    height: 16px;
    border-top: 8px solid transparent;
    border-left: 12px solid #FFF;
    border-bottom: 8px solid transparent;
    margin-left: 2px;
}

#playPause:hover .play, #stopPause:hover .play {
    border-left-color: #000;
}

.pause {
    width: 12px;
    height: 16px;
    border-right: 4px solid #FFF;
    border-left: 4px solid #FFF;
}

#playPause:hover .pause, #stopPause:hover .pause {
    border-right-color: #000;
    border-left-color: #000;
}

.phase:hover{
    cursor: pointer;
}

/* class can be applied to anything you want a pointer hover on */

/* SHARED SCREEN STYLES */
header img{
    width:50%;
    top:2%;
    left:24.5%;
    right:24.5%;
}

.text{
    width:350px;
    color: #FFF;
    background-color: #00A14B;
    padding: 15px 20px;
}

/* SCREEN 1 STYLES */
#screen1 {
    /* background: url(../images/bg1.jpg); */
    background-color: #2E3192;
}
.promo{
    top:70px;
}
#blue{
    right:15px;
    top:100px;
    width:300px;
}
#dark{
    left:40px;
    width:240px;
}

#screen1 > #intro1{
    width:400px;
    top:60%;
    left:275px;
    text-align: center;
}

/* SCREEN 2 STYLES */
#screen2 {
    /* background: url(../images/bg1.jpg); */
    background-color: #E8C800;
}

#screen2 .promo{
    top:160px;
    cursor: pointer;
}
#cardBack, #mirror{
    right:35px;
    width:200px;
    transform:rotate(10deg)
}
#cardBackQ, #contSpell{
    left:40px;
    width:200px;
    transform:rotate(-10deg)
}
#mirror, #contSpell{
    /* display:none; */
    opacity:0;
    /* height:0; */
}

#screen2 > #intro2{
    width:400px;
    top:40%;
    left:275px;
    height:60px;
    cursor: pointer;
}
#screen2 > #intro2 li{
    opacity:0;
}

/* SCREEN 3 STYLES */
#screen3 {
    /* background: url(../images/bg1.jpg); */
    background-color: #E8C800;
}
#intro1{
    width:300px;
    top:38%;
    left:6%;
}

#screen3 #red-eyes{
    position: absolute;
    top: 40%;
    left: 40%;
    width:200px;
    cursor: pointer;
}
#intro2{
    width:300px;
    top:38%;
    left:62%;
    padding-left:22px;
}

#intro1, #intro2{
    height:70px;
}
#intro1 li, #intro2 li{
    opacity:0;
}

/* SCREEN 4 STYLES */
#screen4 {
    background-color: #E8C800;
}

#sillouette{
    top:30%;
    left:4%;
    cursor: pointer;
}

#history{
    width:500px;
    top:32%;
    left:1000px;
    padding-left:25px;
}
#hi{
    width:300px;
    top:52%;
    left:54%;
    padding-left:25px;
}

/* SCREEN 5 STYLES */
#screen5 {
    background-color: #E8C800;
}

.phase{
    width: 180px;
}

#draw {
    top: 150px;
    left: 60px;
    padding: 15px;
    overflow: hidden;
}

#stand {
    top: 285px;
    left: 60px;
    padding: 15px;
    overflow: hidden;
}

#standContent{
    width: 400px;
}

#main1 {
    top: 420px;
    left: 60px;
    padding: 15px;
    overflow: hidden;
}

#battle {
    width: 240px;
    top: 210px;
    left: 352px;
    padding: 15px;
    overflow: hidden;
}

#battleContent{
    width:400px;
    padding-left:15px;
}

#main2 {
    width:190px;
    top: 200px;
    right: 50px;
    padding: 15px;
    overflow: hidden;
}

#end {
    width:190px;
    top: 375px;
    right: 50px;
    padding: 15px;
    overflow: hidden;
}

#endContent{
    width:405px;
}

.phaseContent {
    color: #FFF;
    opacity: 0;
    width: 600px;
    pointer-events: none;
}

/* .phase:hover .phaseContent{
    opacity:1;
    width: 800px;
} */

/* SCREEN 5 STYLES */
#screen6 {
    background-color: #E8C800;
}
#screen6 img{
    cursor: pointer;
}

.topZone{
    bottom:235px;
    left:220px;
    cursor: pointer;
}

.lowZone{
    bottom:140px;
    left:220px;
    cursor: pointer;
}

.EMZone{
    bottom:330px;
}

.MZone{

}
#subTitle{
    bottom:60px;
    left:325px;
    cursor: none;
}
#monster1, #PZone1{
    left:295px;
}
#monster2, #ST1, #Emonster1{
    left:370px;
}
#monster3, #ST2{
    left:445px;
}
#monster4, #ST3, #Emonster2{
    left:520px;
}
#monster5, #PZone2{
    left:595px;
}
#GY, #deck{
    left:671px;
}

.right{
    top:160px;
    right:10px;
    width:200px;
    opacity:0;
}
.left{
    top:160px;
    left:10px;
    width:200px;
    opacity:0;
}

/* SCREEN 7 STYLES */
#screen7 {
    background-color: #E8C800;
}

#cards3, #basicCards{
    top:200px;
    left:285px;
    cursor: pointer;
}
.subTitle2{
    display:flex;
    flex-wrap: wrap;
    margin:-20px 0px 20px 0px;
}
.subTitle2 h2{
    margin: 0rem 30px 5px 28px;
}
#theTrap{
    margin-left:50px;
}
.theCards{
    margin-top:10px;
}
.cardContent p{
    margin-bottom: 0.35rem;
}
.cardContent{
    opacity:0;
    margin-top:135px;
    margin-left:-50px;
    width:490px;
}

#monsterOnly {
    width:240px;
    height:95px;
    top: 20%;
    left: 10px;
    color: #FFF;
    text-align: center;
    line-height: 100px;
    cursor: pointer;
}
#monsterOnly h3, #spellOnly h3 {
    margin-top:-5px;
    line-height: 25px;
    cursor: pointer;
}

#spellOnly {
    width:240px;
    height:95px;
    top: 20%;
    right: 10px;
    color: #FFF;
    text-align: center;
    line-height: 100px;
    cursor: pointer;
}

/* for modals*/
.overlay {
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    z-index: 2000;
    display: none;
}

.close {
    color: #FFF;
    top: 10px;
    right: 10px;
}

.overlayContent {
    color: #FFF;
    top: 0;
    text-align: center;
}

.monsterTypes, .spellTypes{
    display:flex;
    flex-wrap: wrap;
    left:20px;
    width:280px;
}
.top{
    top:30px;
}
.low{
    bottom:30px;
}
#m1, #m4, #s1, #s4{
    left:320px;
}
#m2, #m5, #s2, #s6{
    left:640px;
}
#s1, #s2{
    top:80px;
}
#s4, #s6{
    bottom:80px;
}
#s5{
    bottom:230px;
    padding-right:30px;
}
#s3 h2{
    padding-right:40px;
}
#m3{
    left:320px;
    top:200px;
}
#m6{
    left:640px;
    bottom:220px;
}
.monsterTypes img, .spellTypes img{
    width:60px;
    left:20px;
}
.monsterTypes h2, .monsterTypes p, .spellTypes h2, .spellTypes p {
    margin-left:80px;
}

/* SCREEN 8 STYLES */
#screen8 {
    /* background: url(../images/bg2.jpg); */
    background-color: #2E3192;
}

.references{
    top:35%;
    left:100px;
}

.extra {
    top:35%;
    left:550px;
    text-align: center;
    cursor:pointer;
}
#book img{
    cursor: pointer;
}
#spellCircle{
    width:150px;
    top:40%;
    left:610px;
}